Bug 978549 - [RFE][swift] Public API for pluggable back-ends such as GlusterFS
[RFE][swift] Public API for pluggable back-ends such as GlusterFS
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
4.0
Unspecified Unspecified
high Severity unspecified
: ---
: 9.0 (Mitaka)
Assigned To: Pete Zaitcev
nlevinki
https://blueprints.launchpad.net/swif...
upstream_milestone_ongoing upstream_s...
: FutureFeature
Depends On:
Blocks: RHOS50RFE 1072219
  Show dependency treegraph
 
Reported: 2013-06-26 14:48 EDT by Pete Zaitcev
Modified: 2016-04-26 23:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1072219 (view as bug list)
Environment:
Last Closed: 2016-03-10 11:52:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 47713 None None None Never

  None (edit)
Comment 9 Peter Portante 2013-09-13 07:18:52 EDT
This work is mostly internal code changes to the organization and structure of swift. There should be no change to the existing behavior.

That said, there will be a mechanism to select a plug-able storage back-end, though it is still not clear exactly how that mechanism will work.
Comment 21 Sean Cohen 2015-03-16 10:19:15 EDT
Did not make it to rhos-7.0, pushing to rhos‑8.0 review,
Sean

Note You need to log in before you can comment on or make changes to this bug.